3 Replies Latest reply: Nov 26, 2013 4:05 PM by user6905423 RSS

    Citrix reciever install  linux 6.4

    user6905423

      I am trying to install  13.0 version of the citrix ica client and geting the below error.

      any assistance would be helpful

       

      [root@kozhikodan Downloads]# yum install ICAClient-13.0.0.256735-0.x86_64.rpm

      Loaded plugins: refresh-packagekit, security

      Setting up Install Process

      Examining ICAClient-13.0.0.256735-0.x86_64.rpm: ICAClient-13.0.0.256735-0.x86_64

      Marking ICAClient-13.0.0.256735-0.x86_64.rpm to be installed

      Resolving Dependencies

      --> Running transaction check

      ---> Package ICAClient.x86_64 0:13.0.0.256735-0 will be installed

      --> Processing Dependency: libxerces-c-3.1.so for package: ICAClient-13.0.0.256735-0.x86_64

      --> Processing Dependency: libwebkitgtk-1.0.so.0 for package: ICAClient-13.0.0.256735-0.x86_64

      --> Finished Dependency Resolution

      Error: Package: ICAClient-13.0.0.256735-0.x86_64 (/ICAClient-13.0.0.256735-0.x86_64)

                 Requires: libwebkitgtk-1.0.so.0

      Error: Package: ICAClient-13.0.0.256735-0.x86_64 (/ICAClient-13.0.0.256735-0.x86_64)

                 Requires: libxerces-c-3.1.so

      You could try using --skip-broken to work around the problem

      You could try running: rpm -Va --nofiles --nodigest

        • 1. Re: Citrix reciever install  linux 6.4
          Catch-22

          Apparently the installer package has a problem, but this is not really a Oracle Linux issue. I have actually no clue about what you are going to install, but you could try the following:

           

          yum install webkitgtk webkitgtk.i686

          yum install webkitgtk-devel webkitgtk-devel.i686

          yum install xerces-c xerces-c.i686 xerces-c-devel xerces-c-devel.i686

           

          Anyway, if that does not work, perhaps it would be a better idea to check the Citrix support side or check the Citrix forum.

          • 2. Re: Citrix reciever install  linux 6.4
            user6905423

            Thanks for your input... but still the same. This forum was the last effort. Citrix forum is useless.i created a account, but cant login. totally useless

            • 3. Re: Citrix reciever install  linux 6.4
              user6905423

              my solution was to get the 12.0 version of the client .and install all the dependencies one by one.

              then in addition to that the Citrix client for Linux has a issue which with the server configuration file. i wrote a wrapper script to automatically turn off FQDN in the ica.launch  config file . so my browser save the ica.launch file .i run the scrip which does a sed on the file and turns the fqdn off and start the citrix client. this works.